%define	oname	DevIL
%define	name	devil
%define	version	1.6.7
%define release %mkrel 12

%define	major	1
%define	lib_name_orig	lib%{name}
%define	lib_name	%mklibname %{name} %{major}
%define	lib_name_devel	%mklibname %{name} %{major} -d
%define	lib_name_static_devel	%mklibname %{name} %{major} -s -d

Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{oname}-%{version}.tar.bz2
Patch0:		devil-1.6.7-debian-fixes.patch
Patch1:		devil-1.6.7-link-against-gif.patch
Patch2:		devil-1.6.7-fix-allegro-linking.patch
Patch3:		devil-1.6.7-headerfixes.patch
License:	LGPL
Group:		System/Libraries
URL:		http://openil.sourceforge.net/
Summary:	Open Source image library
BuildRequires:	zlib-devel jpeg-devel tiff-devel autoconf2.5 SDL-devel
BuildRequires:	png-devel lcms-devel mng-devel MesaGLU-devel
BuildRequires:  allegro-devel ungif-devel libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
DevIL is an Open Source image library whose distribution is done under the
terms of the GNU LGPL license.
DevIL offers you a simple way to implement loading, manipulating, filtering,
converting, displaying, saving from/to several different image formats in your
own project.

%package -n	%{lib_name}
Summary:	Libraries needed for programs using %{oname}
Group:		System/Libraries
Provides:	%{lib_name_orig}
Provides:	%{name}

%description -n	%{lib_name}
DevIL is an Open Source image library whose distribution is done under the
terms of the GNU LGPL license.
DevIL offers you a simple way to implement loading, manipulating, filtering,
converting, displaying, saving from/to several different image formats in your
own project.

%package -n	%{lib_name_devel}
Summary:	Development headers and libraries for writing programs using %{oname}
Group:		Development/C
Requires:	%{lib_name} = %{version} allegro-devel
%define	_requires_exceptions	devel(liballeg.*
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{lib_name_devel}
Development headers and libraries for writing programs using %{oname}

%package -n     %{lib_name_static_devel}
Summary:        NAS static library
Group:          Development/C
Requires:       %{lib_name}-devel = %{version}
Provides:       %{lib_name_orig}-static-devel = %{version}-%{release}
Provides:       %{name}-static-devel = %{version}-%{release}

%description -n %{lib_name_static_devel}
NAS static library.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1 -b .debian
%patch1 -p1 -b .lgif
%patch2 -p1 -b .allegro
%patch3 -p1 -b .headerfixes

%build
autoconf-2.5x
CFLAGS="%{optflags} -O3 -funroll-loops -ffast-math -fomit-frame-pointer -fexpensive-optimizations" \
%configure2_5x	--with-pic \
		--with-gnu-ld \
		--enable-shared \
		--with-x \
		--enable-static
%make LIBTOOL=%{_bindir}/libtool

%install
rm -rf %{buildroot}
%makeinstall

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS BUGS CREDITS ChangeLog INSTALL Libraries.txt NEWS README.unix
%{_libdir}/*.so.*

%files -n %{lib_name_devel}
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/IL

%files -n %{lib_name_static_devel}
%defattr(644,root,root,755)
%{_libdir}/*.a


%changelog
* Fri Jan 19 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.6.7-12mdv2007.0
+ Revision: 110733
- fix bogus dependency on devel(liballeg* for lib64 too

* Fri Jan 19 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.6.7-11mdv2007.1
+ Revision: 110640
- add buildrequires on libtool
- use our own libtool, this will avoid rpath & linking issues

* Fri Jan 19 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.6.7-9mdv2007.1
+ Revision: 110587
- fix binary-or-shlib-defines-rpath
- add debian fixes for png on x86_64, endianness fixes, header fixes etc. (P0)
  fix linking against libungif (P1)
  fix linking against allegro (P2, from fedora)
  more header fiexes (P3, from fedora)
- fix building of shared libIL library on 64 bit

* Mon Dec 04 2006 Olivier Blin <oblin@mandriva.com> 1.6.7-8mdv2007.1
+ Revision: 90559
- remove hardcoded mkrel definition
- Import devil



* Thu Apr 06 2006 Lenny Cartier <lenny@mandriva.com> 1.6.7-7mdk
- use -enable-static

* Wed Mar 22 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.6.7-6mdk
- add package for static libraries

* Thu Sep 22 2005 Guillaume Bedot <littletux@mandriva.org> 1.6.7-5mdk
- rebuild with allegro-4.2.0

* Thu Aug 18 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.6.7-4mdk
- rebuild against new allegro

* Fri Apr 15 2005 Guillaume Bedot <littletux@mandriva.org> 1.6.7-3mdk
- make it easy to build with allegro or allegro-testing.
- rebuilt with allegro-testing.
- use mkrel.

* Wed Feb 16 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.7-2mdk
- fix buildrequires

* Mon Jan 03 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.7-1mdk
- 1.6.7
- drop P0 & P1
- compile with -O3

* Fri Nov 28 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.6-3mdk
- rebuild without the wrong dependency on devel(liballeg)

* Fri Nov 28 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.6-2mdk
- fix linking problem reported by Nathan Cournia
- buildrequires

* Wed Oct 29 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.6-1mdk
- 1.6.6
- fix buildrequires (lib64..)

* Sat Aug 02 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.5-7mdk
- buildrequires

* Fri Jul 11 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.6.5-6mdk
- rebuild
- use %%mklibname for devel packages

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.5-5mdk
- patch 0: ensure some stuff is properly defined

* Sun May 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.5-4mdk
- patch 0: add libpng support (Tim Lee)

* Fri Apr 11 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.6.5-3mdk
- fix summary (I do suck)

* Fri Apr 11 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.6.5-2mdk
- corrected url
- fix buildrequires

* Fri Apr 11 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.6.5-1mdk
- initial release
